.home {
  position: relative;
  background-image: url('../img/shutterstock_1305246256.png');
  background-color: black;
  background-position: center center;
  background-repeat: no-repeat;
}

.section-title {
  font-size: 16px;
  text-align: center;
  position: relative;
  margin: 24px 0;
  &::after {
    content: '';
    width: 24px;
    height: 1px;
    background-color: black;
    position: absolute;
    left: 50%;
    bottom: -8px;
    transform: translate(-50%, 50%);
  }
  &.white {
    color: white !important;
    &::after {
      content: '';
      width: 24px;
      height: 1px;
      background-color: white !important;
      position: absolute;
      left: 50%;
      bottom: -8px;
      transform: translate(-50%, 50%);
    }
  }
  &.left {
    text-align: left;
    &::after {
      content: '';
      width: 24px;
      height: 1px;
      background-color: black;
      position: absolute;
      left: 0;
      bottom: -8px;
      transform: translateX(0px);
    }
  }
}

.advertise {
  position: relative;
  z-index: 2;
  padding: 16px;
  display: flex;
  flex-direction: column;
  &-img {
    flex-basis: 535px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    background-image: url('../img/da6592008d19edb125d6136012398faf.png');
  }
  &-description {
    margin: 27px 0 52px;
    &__title {
      font-size: 32px;
      line-height: 32px;
      color: white;
      margin-bottom: 20px;
    }
    &__content {
      color: #ecececff;
      font-size: 16px;
      line-height: 21px;
      margin-bottom: 56px;
    }
    &__confirm {
      p {
        color: #999999ff;
        font-size: 16px;
        line-height: 21px;
      }
    }
  }
}

.confirm-group {
  display: flex;
  div {
    width: 21px;
    height: 22px;
    background-size: cover;
    background-position: center center;
  }
  div + div {
    margin-left: 12px;
  }
}

.certification-img1 {
  background-image: url('../img/img_certifiction_1.png');
}

.certification-img2 {
  background-image: url('../img/img_certifiction_2.png');
}

.certification-img3 {
  background-image: url('../img/img_certifiction_3.png');
}

.logo {
  background-image: url('../img/img_logo_w@2x.png');
  background-size: contain;
  background-repeat: no-repeat;
  width: 160px;
  height: 40px;
  z-index: 2;
}

.main {
  &-card {
    &__title {
      color: $primary;
      font-size: 58px;
      font-weight: bold;
      text-align: center;
      margin: 24px 3px;
      font-family: 'Roboto', sans-serif;
    }
    &__group {
      display: flex;
      flex-direction: column;
    }
    &__subtitle {
      position: relative;
      margin-bottom: 25px;
      &::after {
        content: '';
        position: absolute;
        left: 0;
        bottom: -8px;
        width: 24px;
        height: 1px;
        background-color: black;
      }
    }
    &__content {
      padding: 16px;
    }
    &__description {
      font-size: 16px;
      line-height: 21px;
      margin-bottom: 16px;
    }
    &__detail {
      display: flex;
      align-items: center;
      color: $secondary;
      margin-bottom: 8px;
      line-height: 21px;
    }
    &__img {
      width: 100%;
      height: 252px;
      background-size: cover;
    }
    .img1 {
      background-image: url('../img/img_application_field_1@2x.png');
    }
    .img2 {
      background-image: url('../img/img_application_field_2@2x.png');
    }
    .img3 {
      background-image: url('../img/img_application_field_3@3x.png');
    }
  }
}

.arrow {
  background-image: url('../img/arrow.png');
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  width: 56px;
  height: 16px;
  margin-left: 12px;
  transform: translateY(15%);
}

.more {
  background-image: url('../img/more.png');
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  margin-left: 12px;

}

.timeline {
  display: none;
}

.case {
  background-color: black;
  padding: 8px 16px 48px 16px;
  position: relative;
  &:after {
    content: '';
    background-color: $secondary;
    width: 200px;
    height: 40px;
    position: absolute;
    right: 0;
    bottom: 0;
  }
  &-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
  &-card {
    flex-basis: 164px;
    margin-bottom: 36px;
    &__num {
      color: $info;
      font-size: 76px;
      font-weight: bold;
    }
    &__title {
      color: $secondary;
      margin-bottom: 8px;
      font-size: 16px;
      line-height: 21px;
    }
    &__content {
      color: white;
      font-size: 16px;
      line-height: 21px;
      margin-right: 20px;
    }
  }
}

.support {
  padding: 16px 0 0 16px;
  background-color: $primary;
  &-group {
    display: flex;
    flex-direction: column;
  }
  &-btn {
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 160px;
    height: 40px;
    border-radius: 20px;
    border: 1px solid black;
    padding: 9px 0;
    margin: 25px 0 16px 0;
  }
  &-store {
    display: flex;
    margin-bottom: 77px;
    &__img {
      width: 124px;
      height: 36px;
      background-size: contain;
      background-repeat: no-repeat;
      &:not(:last-child) {
        margin-right: 25px;
      }
    }
  }
}

.apple {
  background-image: url('../img/appstore.png');
}

.googleplay {
  background-image: url('../img/google_play.png');
}

.question {
  background-color: white;
  padding: 20px 20px 98px 20px;
  position: relative;
  display: flex;
  flex-direction: column;
  &::before {
    content: '';
    width: 4px;
    height: 420px;
    background-color: black;
    position: absolute;
    top: 0;
    left: 0;
  }
  &::after {
    content: '';
    width: 78px;
    height: 78px;
    background-color: $secondary;
    position: absolute;
    bottom: 0;
    left: -16px;
  }
  &-title {
    font-size: 140px;
    font-weight: bold;
    color: $primary;
    margin-bottom: 24px;
    font-family: 'Roboto';
  }
  &-group {
    margin-right: 16px;
  }
  &-item {
    &__name {
      font-weight: bold;
      line-height: 21px;
      margin-bottom: 8px;
    }
    &__ans {
      margin-bottom: 16px;
      line-height: 21px;
    }
  }
}

.cooperation {
  background-color: black;
  padding: 16px 16px 48px 16px;
  &-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
  &-img {
    height: 53px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    &.img1 {
      flex-basis: 120px;
      background-image: url('../img/img_logo_1@3x.png');
    }
    &.img2 {
      flex-basis: 120px;
      background-image: url('../img/img_logo_2@3x.png');
    }
    &.img3 {
      flex-basis: 120px;
      background-image: url('../img/img_logo_3@3x.png');
    }
    &.img4 {
      flex-basis: 90px;
      background-image: url('../img/img_logo_4@3x.png');
    }
    &.img6 {
      flex-basis: 90px;
      background-image: url('../img/img_logo_6@3x.png');
    }
  }
}

@media (min-width: 768px) {
  .advertise {
    flex-direction: row-reverse;
    justify-content: space-between;
    &-img {
      margin-bottom: -60px;
    }
    &-description {
      flex-basis: 400px;
    }
  }

  .main {
    &-card {
      &__group {
        flex-direction: row;
        padding: 0 20px;
        margin-bottom: 55px;
      }
      &__content {
        flex: 1;
        align-self: flex-end;
        padding-bottom: 0;
      }
      &__img {
        flex-basis: 400px;
        position: relative;
        &.img1 {
          &::before {
            content: '';
            width: 101px;
            height: 240px;
            background-color: $primary;
            position: absolute;
            left: -20px;
            top: 0;
            z-index: -1;
            transform: translateY(-60%);
          }
          &::after {
            content: '';
            width: 40px;
            height: 40px;
            background-color: $secondary;
            position: absolute;
            left: 0;
            bottom: 0;
            transform: translate(-50%, 50%);
          }
        }
        &.img2 {
          &::before {
            content: '';
            width: 398px;
            height: 160px;
            background-color: $primary;
            position: absolute;
            right: -20px;
            bottom: 0;
            z-index: -1;
            transform: translateY(20%);
          }
          &::after {
            content: '';
            width: 40px;
            height: 40px;
            background-color: $secondary;
            position: absolute;
            top: 0;
            right: 0;
            transform: translate(50%, -50%);
          }
        }
        &.img3 {
          &::before {
            content: '';
            width: 420px;
            height: 240px;
            background-color: $primary;
            position: absolute;
            left: -20px;
            bottom: -55px;
            z-index: -1;
          }
          &::after {
            content: '';
            width: 40px;
            height: 40px;
            background-color: $secondary;
            position: absolute;
            top: 0;
            left: 0;
            transform: translate(-50%, -50%);
          }
        }
      }
    }
  }

  .support {
    &-group {
      flex-direction: row;
      align-items: center;
      margin: 49px 0 64px 0;
    }
    &-btn {
      margin: 0 32px 0 0;
    }
    &-store {
      margin: 0;
    }
  }

  .question {
    flex-direction: row;
    padding-top: 40px;
    &-title {
      transform: rotate(-90deg) translate(-30%, -70%);
      align-self: flex-start;
      font-size: 120px;
      margin-bottom: 0;
    }
    &-group {
      margin-left: -140px;
    }
  }

  .cooperation {
    &-group {
      justify-content: space-between;
      padding: 16px 42px 48px 42px;
    }
  }
}

@media (min-width: 1024px) {
  .advertise {
    padding: 16px 95px 16px 95px;
    justify-content: center;
  }
  .main {
    &-group {
      display: none;
    }
    &-card {
      &__group {
        padding: 0 95px;
      }
    }
  }

  .support {
    padding: 16px 0 0 112px;
    position: relative;
    &::before {
      content: '';
      position: absolute;
      left: 0;
      bottom: 0;
      width: 100%;
      height: 78px;
      background-color: black;
    }
  }

  .case {
    padding: 8px 112px 48px 112px;
    &-group {
      max-width: 800px;
      margin: 0 auto;
    }
    &-card {
      margin-right:16px;
    }
  }

  .timeline {
    position: relative;
    display: block;
    width: 1024px;
    margin: 0 auto;
    &::before {
      content: '';
      position: absolute;
      left: 50%;
      top: 130px;
      transform: translateX(-50%);
      width: 2px;
      height: 71%;
      background-color: $primary;
    }
    &-group {
      margin-bottom: 55px;
      position: relative;
      &::after { 
        content: " ";
        display: block; 
        height: 0; 
        clear: both;
     }
    }
    &-item {
      width: 495px;
      box-sizing: border-box;
      &__title {
        color: $primary;
        font-size: 58px;
        font-weight: bold;
        margin-bottom: 58px;
        white-space: nowrap;
        font-family: 'Roboto', sans-serif;
      }
      &__subtitle {
        position: relative;
        margin-bottom: 25px;
        &::after {
          content: '';
          position: absolute;
          left: 0;
          bottom: -8px;
          width: 24px;
          height: 1px;
          background-color: black;
        }
      }
      &__description {
        font-size: 16px;
        line-height: 21px;
        margin-bottom: 16px;
      }
      &__detail {
        display: flex;
        align-items: center;
        color: $secondary;
        margin-bottom: 8px;
        line-height: 21px;
      }
      &__img {
        width: 400px;
        height: 280px;
        background-size: cover;
        position: relative;
      }
      .img1 {
        background-image: url('../img/img_application_field_1@2x.png');
        &::before {
          content: '';
          width: 420px;
          height: 240px;
          background-color: $primary;
          position: absolute;
          left: -95px;
          top: 0;
          z-index: -1;
          transform: translateY(-60%);
        }
        &::after {
          content: '';
          width: 40px;
          height: 40px;
          background-color: $secondary;
          position: absolute;
          left: 0;
          bottom: 0;
          transform: translate(-50%, 50%);
        }
      }
      .img2 {
        background-image: url('../img/img_application_field_2@2x.png');
        &::before {
          content: '';
          width: 420px;
          height: 160px;
          background-color: $primary;
          position: absolute;
          right: -95px;
          bottom: 0;
          z-index: -1;
          transform: translateY(20%);
        }
        &::after {
          content: '';
          width: 40px;
          height: 40px;
          background-color: $secondary;
          position: absolute;
          top: 0;
          right: 0;
          transform: translate(50%, -50%);
        }
      }
      .img3 {
        background-image: url('../img/img_application_field_3@3x.png');
        &::before {
          content: '';
          width: 420px;
          height: 240px;
          background-color: $primary;
          position: absolute;
          left: -95px;
          bottom: -55px;
          z-index: -1;
        }
        &::after {
          content: '';
          width: 40px;
          height: 40px;
          background-color: $secondary;
          position: absolute;
          top: 0;
          left: 0;
          transform: translate(-50%, -50%);
        }
      }
    }
    .point {
      position: absolute;
      top: 44%;
      left: 50%;
      transform: translateX(-50%);
      width: 5px;
      height: 5px;
      border-radius: 50%;
      background-color: black;
    }
    .point-right {
      position: absolute;
      left: 0;
      width: 2px;
      height: 2px;
      background-color: black;
    }
  }

  .question {
    &::after {
      left: 0;
    }
  }
}
